#pragma once

#include <QObject>
#include <QScopedPointer>

class PushClientPrivate;
class PushClient : public QObject
{
    Q_OBJECT
public:
    explicit PushClient(QString uuid, QString host, int port, QObject *parent = Q_NULLPTR);
    ~PushClient();

    void reset();

private:
    QScopedPointer<PushClientPrivate> dd_ptr;
    Q_DECLARE_PRIVATE_D(qGetPtrHelper(dd_ptr), PushClient)
};

